<?php
/**
 * @package   Meridian Template - RocketTheme
 * @version   1.5.2 March 19, 2010
 * @author    RocketTheme, LLC http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2010 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Meridian Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
require( YOURBASEPATH.DS."styles.php");
require( YOURBASEPATH.DS."rt_styleswitcher.php");
JHTML::_( 'behavior.mootools' );

global $template_real_width, $leftcolumn_width, $rightcolumn_width, $tstyle, $show_tools, $show_collapse;
global $js_compatibility, $menu_rows_per_column, $menu_columns, $menu_multicollevel;

$live_site        		= $mainframe->getCfg('live_site');
$template_path 			= $this->baseurl . '/templates/' .  $this->template;
$preset_style 			= $this->params->get("presetStyle", "style1");
$enable_fontspans       = ($this->params->get("enableFontspans", 1)  == 0)?"false":"true";
$frontpage_component    = $this->params->get("enableFrontpage", "show");
$enable_ie6warn         = ($this->params->get("enableIe6warn", 0)  == 0)?"false":"true";
$font_family            = $this->params->get("fontFamily", "meridian");
$template_width 		= $this->params->get("templateWidth", "958");
$leftcolumn_width		= $this->params->get("leftcolumnWidth", "215");
$rightcolumn_width		= $this->params->get("rightcolumnWidth", "215");
$leftinset_width		= $this->params->get("leftinsetWidth", "160");
$rightinset_width		= $this->params->get("rightinsetWidth", "160");
$splitmenu_col			= $this->params->get("splitmenuCol", "rightcol");
$menu_name 				= $this->params->get("menuName", "mainmenu");
$menu_type 				= $this->params->get("menuType", "moomenu");
$menu_rows_per_column   = $this->params->get("menuRowsPerColumn");
$menu_columns           = $this->params->get("menuColumns");
$menu_multicollevel     = $this->params->get("menuMultiColLevel", 1);
$default_font 			= $this->params->get("defaultFont", "default");
$show_logo			 	= ($this->params->get("showLogo", 1)  == 0)?"false":"true";
$show_textsizer		 	= ($this->params->get("showTextsizer", 1)  == 0)?"false":"true";
$show_copyright 		= ($this->params->get("showCopyright", 1)  == 0)?"false":"true";
$js_compatibility	 	= ($this->params->get("jsCompatibility", 0)  == 0)?"false":"true";

// moomenu options
$moo_bgiframe     		= ($this->params->get("moo_bgiframe'","0") == 0)?"false":"true";
$moo_delay       		= $this->params->get("moo_delay", "500");
$moo_duration    		= $this->params->get("moo_duration", "600");
$moo_fps          		= $this->params->get("moo_fps", "200");
$moo_transition   		= $this->params->get("moo_transition", "Sine.easeOut");

$moo_bg_enabled			= ($this->params->get("moo_bg_enabled","1") == 0)?"false":"true";
$moo_bg_over_duration		= $this->params->get("moo_bg_over_duration", "500");
$moo_bg_over_transition		= $this->params->get("moo_bg_over_transition", "Expo.easeOut");
$moo_bg_out_duration		= $this->params->get("moo_bg_out_duration", "600");
$moo_bg_out_transition		= $this->params->get("moo_bg_out_transition", "Sine.easeOut");

$moo_sub_enabled		= ($this->params->get("moo_sub_enabled","1") == 0)?"false":"true";
$moo_sub_opacity		= $this->params->get("moo_sub_opacity","0.75");
$moo_sub_over_duration		= $this->params->get("moo_sub_over_duration", "50");
$moo_sub_over_transition	= $this->params->get("moo_sub_over_transition", "Expo.easeOut");
$moo_sub_out_duration		= $this->params->get("moo_sub_out_duration", "600");
$moo_sub_out_transition		= $this->params->get("moo_sub_out_transition", "Sine.easeIn");
$moo_sub_offsets_top		= $this->params->get("moo_sub_offsets_top", "2");
$moo_sub_offsets_right		= $this->params->get("moo_sub_offsets_right", "2");
$moo_sub_offsets_bottom		= $this->params->get("moo_sub_offsets_bottom", "4");
$moo_sub_offsets_left		= $this->params->get("moo_sub_offsets_left", "0");
								
require(YOURBASEPATH . "/rt_styleloader.php");

// these must come below because the styles can be overloaded
$bodystyle       = $this->params->get("bodyStyle", "light");
$headerstyle     = $this->params->get("headerStyle", "header1");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
	<head>
		<jdoc:include type="head" />
		<?php
		require(YOURBASEPATH . DS . "rt_utils.php");
		require(YOURBASEPATH . DS . "rt_head_includes.php");

	?>
	</head>
	<body id="ff-<?php echo $fontfamily; ?>" class="<?php echo $fontstyle; ?> <?php echo $headerstyle; ?> <?php echo $bodystyle; ?> iehandle">
		<!--Begin Horizontal Menu-->
		<div id="header-bg">
			<?php if($mtype != "none") : ?>
			<div id="horiz-menu" class="<?php echo $mtype; ?>">
				<div class="wrapper">
				<?php if ($this->countModules('login')) : ?>
					<?php if ($user->guest) : ?>
					<a href="#" id="lock-button" class="login" rel="rokbox[300 210][module=login-module]"><span><?php echo JText::_('LOGIN'); ?></span></a>
					<?php else : ?>
					<a href="#" id="lock-button" rel="rokbox[300 210][module=login-module]"><span><?php echo JText::_('LOGOUT'); ?></span></a>
					<?php endif; ?>
				<?php endif; ?>
				<?php if($mtype != "module") : ?>
					<?php echo $topnav; ?>
				<?php else: ?>
					<jdoc:include type="modules" name="toolbar" style="none" />
				<?php endif; ?>
				</div>
			</div>
			<?php endif; ?>
			<!--End Horizontal Menu-->
			<!--Begin Main Header-->
			<div class="wrapper">
				<div id="main-header">
					<?php if ($this->countModules('logo')) : ?>
					<div class="logo-module">
						<jdoc:include type="modules" name="logo" style="xhtml" />
					</div>
					<?php elseif ($show_logo == "true") : ?>
					<a href="<?php echo $this->baseurl; ?>" id="logo"><span class="logo-desc"><?php echo JText::_('SLOGAN'); ?></span></a>
					<?php endif; ?>
					<?php if ($show_textsizer=="true") : ?>
					<div id="accessibility">
						<div id="buttons">
							<a href="<?php echo JROUTE::_($thisurl . "fontstyle=f-larger"); ?>" title="<?php echo JText::_('INC_FONT_SIZE'); ?>" class="large"><span class="button png">&nbsp;</span></a>
							<a href="<?php echo JROUTE::_($thisurl . "fontstyle=f-smaller"); ?>" title="<?php echo JText::_('DEC_FONT_SIZE'); ?>" class="small"><span class="button png">&nbsp;</span></a>
						</div>
						<div class="textsizer-desc"><?php echo JText::_('TEXT_SIZE'); ?></div>
					</div>
					<?php endif; ?>
				</div>
			</div>
		<!--End Main Header-->
		<!--Begin Showcase-->
		<div class="showcase-block">
			<?php if ($this->countModules('search')) : ?>
			<div class="wrapper">
				<?php if ($this->countModules('showcase') or $this->countModules('showcase2') or $this->countModules('showcase3')) : ?>
				<div id="main-search">
				<?php else : ?>
				<div id="main-search" class="alt">
				<?php endif; ?>
					<div id="searchmod">
						<jdoc:include type="modules" name="search" style="xhtml" />
					</div>
				</div>
			</div>
			<?php else : ?>
			<div class="header-spacer"></div>
			<?php endif; ?>
			<?php $mClasses = modulesClasses('case1'); if ($this->countModules('showcase') or $this->countModules('showcase2') or $this->countModules('showcase3')) : ?>
			<div class="showcase-surround">
				<div class="wrapper">
					<div class="main-showcase-outer">
						<div class="showcase-bar"></div>
						<div id="main-showcase">
							<div id="showmodules" class="spacer<?php echo $showmod_width; ?>">
								<?php if ($this->countModules('showcase')) : ?>
								<div class="block <?php echo $mClasses['showcase'][0]; ?>">
									<jdoc:include type="modules" name="showcase" style="xhtml" />
								</div>
								<?php endif; ?>
								<?php if ($this->countModules('showcase2')) : ?>
								<div class="block <?php echo $mClasses['showcase2'][0]; ?>">
									<jdoc:include type="modules" name="showcase2" style="xhtml" />
								</div>
								<?php endif; ?>
								<?php if ($this->countModules('showcase3')) : ?>
								<div class="block <?php echo $mClasses['showcase3'][0]; ?>">
									<jdoc:include type="modules" name="showcase3" style="xhtml" />
								</div>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
			<?php endif; ?>
		</div>
		<!--End Showcase-->
	</div>
		<div class="wrapper">
			<!--Begin Top Main Modules-->
			<?php $mClasses = modulesClasses('case2'); if ($this->countModules('user1') or $this->countModules('user2') or $this->countModules('user3')) : ?>
			<div id="mainmodules" class="spacer<?php echo $mainmod_width; ?>">
				<?php if ($this->countModules('user1')) : ?>
				<div class="block <?php echo $mClasses['user1'][0]; ?>">
					<jdoc:include type="modules" name="user1" style="sidemod" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user2')) : ?>
				<div class="block <?php echo $mClasses['user2'][0]; ?>">
					<jdoc:include type="modules" name="user2" style="sidemod" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user3')) : ?>
				<div class="block <?php echo $mClasses['user3'][0]; ?>">
					<jdoc:include type="modules" name="user3" style="sidemod" />
				</div>
				<?php endif; ?>
			</div>
			<?php endif; ?>
			<!--End Top Main Modules-->
			<!--Begin Main Content-->
			<?php if ($this->countModules('showcase') or $this->countModules('showcase2') or $this->countModules('showcase3')) : ?>
			<div id="main-body">
			<?php else : ?>
			<div id="main-body" class="alt">
			<?php endif; ?>
				<?php if ($leftcolumn_width != 0) : ?>
				<div id="leftcol">
					<div class="padding">
						<?php if ($subnav and $splitmenu_col=="leftcol") : ?>
						<div class="sidenav-block">
							<?php echo $subnav; ?>
						</div>
						<?php endif; ?>
						<jdoc:include type="modules" name="left" style="sidemod" />
					</div>
				</div>
				<?php endif; ?>
				<div id="maincol" style="width: <?php echo getMainWidth(); ?>px"><div class="padding">
					<?php if ($this->countModules('breadcrumb')) : ?>
						<div id="breadcrumbs">
							<jdoc:include type="modules" name="breadcrumb" style="xhtml" />
						</div>
					<?php endif; ?>
					<?php if ($this->countModules('banner')) : ?>
					<div id="main-banner">
						<jdoc:include type="modules" name="banner" style="sidemod" />
					</div>
					<?php endif; ?>
					<?php $mClasses = modulesClasses('case4'); if ($this->countModules('main1') or $this->countModules('main2') or $this->countModules('main3')) : ?>
					<div id="mainmodules3" class="spacer<?php echo $mainmod3_width; ?>">
						<?php if ($this->countModules('main1')) : ?>
						<div class="block <?php echo $mClasses['main1'][0]; ?>" style="width: <?php echo $mClasses['main1'][1]; ?>px">
							<jdoc:include type="modules" name="main1" style="sidemod" />
						</div>
						<?php endif; ?>
						<?php if ($this->countModules('main2')) : ?>
						<div class="block <?php echo $mClasses['main2'][0]; ?>" style="width: <?php echo $mClasses['main2'][1]; ?>px">
							<jdoc:include type="modules" name="main2" style="sidemod" />
						</div>
						<?php endif; ?>
						<?php if ($this->countModules('main3')) : ?>
						<div class="block <?php echo $mClasses['main3'][0]; ?>" style="width: <?php echo $mClasses['main3'][1]; ?>px">
							<jdoc:include type="modules" name="main3" style="sidemod" />
						</div>
						<?php endif; ?>
					</div>
					<?php endif; ?>
					<?php if ($this->countModules('inset2') and !$editmode) : ?>
					<div id="inset-block-right"><div class="right-padding">
						<jdoc:include type="modules" name="inset2" style="sidemod" />
					</div></div>
					<?php endif; ?>
					<?php if ($this->countModules('inset') and !$editmode) : ?>
					<div id="inset-block-left"><div class="left-padding">
						<jdoc:include type="modules" name="inset" style="sidemod" />
					</div></div>
					<?php endif; ?>
					<div id="maincontent-block">
						<jdoc:include type="message" />
						<?php if (!($frontpage_component == 'hide' and JRequest::getVar('view') == 'frontpage')): ?>
						<jdoc:include type="component" />
						<?php endif; ?>
					</div>
					<?php $mClasses = modulesClasses('case5'); if ($this->countModules('main4') or $this->countModules('main5') or $this->countModules('main6')) : ?>
					<div id="mainmodules4" class="spacer<?php echo $mainmod4_width; ?>">
						<?php if ($this->countModules('main4')) : ?>
						<div class="block <?php echo $mClasses['main4'][0]; ?>" style="width: <?php echo $mClasses['main4'][1]; ?>px">
							<jdoc:include type="modules" name="main4" style="sidemod" />
						</div>
						<?php endif; ?>
						<?php if ($this->countModules('main5')) : ?>
						<div class="block <?php echo $mClasses['main5'][0]; ?>" style="width: <?php echo $mClasses['main5'][1]; ?>px">
							<jdoc:include type="modules" name="main5" style="sidemod" />
						</div>
						<?php endif; ?>
						<?php if ($this->countModules('main6')) : ?>
						<div class="block <?php echo $mClasses['main6'][0]; ?>" style="width: <?php echo $mClasses['main6'][1]; ?>px">
							<jdoc:include type="modules" name="main6" style="sidemod" />
						</div>
						<?php endif; ?>
					</div>
					<?php endif; ?>
					<?php if ($this->countModules('banner2')) : ?>
					<div id="main-banner2">
						<jdoc:include type="modules" name="banner2" style="sidemod" />
					</div>
					<?php endif; ?>
				</div></div>
				<?php if ($rightcolumn_width != 0) : ?>
				<div id="rightcol">
					<div class="padding">
						<?php if ($subnav and $splitmenu_col=="rightcol") : ?>
						<div class="sidenav-block">
							<?php echo $subnav; ?>
						</div>
						<?php endif; ?>
						<jdoc:include type="modules" name="right" style="sidemod" />
					</div>
				</div>
				<?php endif; ?>
			</div>
			<!--End Main Content-->
			<!--Begin Bottom Main Modules-->
			<?php $mClasses = modulesClasses('case3'); if ($this->countModules('user4') or $this->countModules('user5') or $this->countModules('user6')) : ?>
			<div id="mainmodules2" class="spacer<?php echo $mainmod2_width; ?>">
				<?php if ($this->countModules('user4')) : ?>
				<div class="block <?php echo $mClasses['user4'][0]; ?>">
					<jdoc:include type="modules" name="user4" style="sidemod" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user5')) : ?>
				<div class="block <?php echo $mClasses['user5'][0]; ?>">
					<jdoc:include type="modules" name="user5" style="sidemod" />
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('user6')) : ?>
				<div class="block <?php echo $mClasses['user6'][0]; ?>">
					<jdoc:include type="modules" name="user6" style="sidemod" />
				</div>
				<?php endif; ?>
			</div>
			<?php endif; ?>
			<!--End Bottom Main Modules-->
		</div>
		<!--Begin Footer-->
		<?php if ($show_copyright == "true" or $this->countModules('user7') or $this->countModules('user8') or $this->countModules('user9') or $this->countModules('advertisement') or $this->countModules('footer')) : ?>
		<div id="main-footer">
			<div class="wrapper">
				<?php $mClasses = modulesClasses('case6'); if ($this->countModules('user7') or $this->countModules('user8') or $this->countModules('user9')) : ?>
				<div id="mainmodules5" class="spacer<?php echo $mainmod5_width; ?>">
					<?php if ($this->countModules('user7')) : ?>
					<div class="block <?php echo $mClasses['user7'][0]; ?>">
						<jdoc:include type="modules" name="user7" style="xhtml" />
					</div>
					<?php endif; ?>
					<?php if ($this->countModules('user8')) : ?>
					<div class="block <?php echo $mClasses['user8'][0]; ?>">
						<jdoc:include type="modules" name="user8" style="xhtml" />
					</div>
					<?php endif; ?>
					<?php if ($this->countModules('user9')) : ?>
					<div class="block <?php echo $mClasses['user9'][0]; ?>">
						<jdoc:include type="modules" name="user9" style="xhtml" />
					</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
				<?php if ($this->countModules('advertisement')) : ?>
				<div class="advertisement-mod">
					<jdoc:include type="modules" name="advertisement" style="xhtml" />
				</div>
				<?php endif; ?>
				<?php if ($show_copyright == "true") : ?>
				<div class="copyright-block">
					<a href="<?php echo $this->baseurl; ?>" id="bot-logo"></a>
					<div id="copyright">
						&copy; <?php echo JText::_('COPYRIGHT'); ?>
					</div>
				</div>
				<?php else: ?>
				<div class="footer-mod">
					<jdoc:include type="modules" name="footer" style="xhtml" />
				</div>
				<?php endif; ?>
				<jdoc:include type="modules" name="debug" style="none" />
			</div>
		</div>
		<?php endif; ?>
		<!--End Footer-->
		<?php if ($this->countModules('login')) : ?>
		<div id="login-module">
			<jdoc:include type="modules" name="login" style="sidemod" />
		</div>
		<?php endif; ?><?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                        <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?>
	</body>
</html>